Add GSkyMap::flux methods that integrate the flux over one or several sky regions

06/04/2016 12:32 AM - Knödlseder Jürgen

Status: Closed Start date: 06/04/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Methods

double flux(const GRegion& region, const int& map = 0) const;

double flux(const GRegions& region, const int& map = 0) const;

should be added that integrate the flux over one or several sky regions.

History

#1 - 06/04/2016 12:49 AM - Knödlseder Jürgen

Note that SExtractor does this kind of aperture photometry by dividing each pixel into 5x5 sub-pixels. We may use here a similar approach.

#2 - 06/21/2016 09:57 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#3 - 03/03/2017 10:27 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#4 - 06/06/2017 10:24 PM - Knödlseder Jürgen

- Target version deleted (1.3.0)

#5 - 03/08/2021 11:43 AM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Target version set to 2.0.0

We should also add equivalent solidangle methods to get the corresponding solid angle:

double solidangle(const GRegion& region) const;

double solidangle(const GRegions& region) const;

#6 - 03/08/2021 12:49 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50
I added the methods

double flux(const GSkyRegion& region, const int& map = 0) const;

double flux(const GSkyRegions& regions, const int& map = 0) const;

double solidangle(const GSkyRegion& region) const;

double solidangle(const GSkyRegions& regions) const;

that evaluate the flux or the solid angle for all pixels that are contained within the specified sky region(s). Containment is tested using the

GSkyRegion::contains() or GSkyRegions::contains() methods. The flux is as usually the sky map value multiplied with the solid angle of the pixel.

Unit tests were added for the new methods.

#7 - 03/08/2021 02:43 PM - Knödlseder Jürgen

- % Done changed from 50 to 70

I implemented the methods

GModelSpatialComposite::flux(GSkyRegion&, GEnergy&, GTime&)

GModelSpatialDiffuseConst::flux(GSkyRegion&, GEnergy&, GTime&)

GModelSpatialDiffuseCube::flux(GSkyRegion&, GEnergy&, GTime&)

GModelSpatialDiffuseMap::flux(GSkyRegion&, GEnergy&, GTime&)

GModelSpatialPointSource::flux(GSkyRegion&, GEnergy&, GTime&)

to compute the model fluxes for all possible sky regions. The base class method GModelSpatial::flux(GSkyRegion&, GEnergy&, GTime&) now only

handles the remaining spatial models. The base class method currently only works for circular sky regions.

#8 - 03/09/2021 09:44 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

Merged into devel.
